close all;                                          % 모든 생성된 창을 닫음 
clear all;                                          % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                                % 명령(command) 창을 비움

t=0:0.001:1;                                        % 파형의 시간축 설정
a=4*pi*t;                                           % 계산을 위한 (공통) 각 계산 
x=3*pi*sin(2*a+1.3).*cos(a-0.8).*exp(sin(3*a));     % x(t) 생성
y=0.*(t<0.2)+x.*(t>=0.2)-x.*(t>0.7);                % y(t) 생성
Px=(1/0.5)*quad('int_fctn_1',0,0.5)                 % x(t)의 전력 계산(한 주기 평균)
Ey=quad('int_fctn_1',0.2,0.7)                       % y(t)의 에너지 계산
 
figure;                                            % 그림창 생성
subplot(2,1,1);                                    % 2행 1열 분할 그림 창의 1번 창
plot(t,x);                                         % x(t) 파형 그림
axis([0 1 -10 25]); grid on;                       % x축과 y축 영역 설정, 그리드 표시
subplot(2,1,2);                                    % 2행 1열 분할 그림 창의 2번 창
plot(t,y);                                         % y(t) 파형 그림 
axis([0 1 -10 25]); grid on;                       % x축과 y축 영역 설정, 그리드 표시


